Package com.smartgwt.client.types

# Enum WriteToGeneratedFields

java.lang.Object
java.lang.Enum<WriteToGeneratedFields>
com.smartgwt.client.types.WriteToGeneratedFields

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<WriteToGeneratedFields>`, `Constable`

public enum WriteToGeneratedFields extends Enum<WriteToGeneratedFields> implements ValueEnum
Indicates the category of "generated fields" the Smart GWT Server should write values to, if defined on a `DSRequest` - see `writeToGeneratedFields`. At the time of writing we only support one such category, but this may be extended in the future.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MODIFIERSANDTIMESTAMPS`
  Write `dsRequest`-provided values for fields of type `modifier`, `creator`, `modifierTimestamp` and `creatorTimestamp`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static WriteToGeneratedFields`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WriteToGeneratedFields[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MODIFIERSANDTIMESTAMPS

    public static final WriteToGeneratedFields MODIFIERSANDTIMESTAMPS
    Write `dsRequest`-provided values for fields of type `modifier`, `creator`, `modifierTimestamp` and `creatorTimestamp`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "modifiersAndTimestamps".

- ## Method Details

  - ### values

    public static WriteToGeneratedFields[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WriteToGeneratedFields valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`